<template>
  <div class="main-content">
    <TheHeader />
    <TheSearchBar />
    <HighlightBox class="mx-4" />
    <div class="flex flex-col lg:flex-row gap-4 p-4">
      <div class="flex-1 flex flex-col gap-4">
        <NewsletterBox />
        <NewsBox />
        <HotStocksBox />
      </div>
      <div class="flex-2 flex flex-col gap-4">
        <div class="flex flex-col gap-4 md:flex-row">
          <StockListBox
            title="Unsere Tops"
            :stocks="tops"
            class="flex-1"
          />
          <StockListBox
            title="Unsere Flops"
            :stocks="flops"
            class="flex-1"
          />
        </div>
        <PromotionBox />
        <InsiderTradesBox />
        <DividendTurboBox />
      </div>
      <div class="flex-1 flex flex-col gap-4">
        <MarketOverviewBox />
        <DividendCalendarBox />
        <EarningsReportBox />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';
import { Stock } from '../types';

export default Vue.extend({
  computed: {
    ...mapState({
      flops: (state: any) => state.flops as Stock[],
      tops: (state: any) => state.tops as Stock[]
    })
  }
});
</script>

<style lang="scss" scoped>
.main-content {
  min-height: 100vh;
  background: #f3f3f3;
}

.dark {
  .main-content {
    background: #2d3748;
  }
}
</style>
